DROP TABLE ALKALMAZOTT;
DROP TABLE MUNKAHELY;

ALTER SESSION SET NLS_DATE_LANGUAGE = HUNGARIAN;
ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY-MM-DD';

CREATE TABLE MUNKAHELY 
    (DEPTNO              NUMBER(2) NOT NULL,
     DNAME               VARCHAR2(14),
     LOC                 VARCHAR2(13),
  CONSTRAINT DEPT_PRIMARY_KEY1 PRIMARY KEY (DEPTNO));

INSERT INTO MUNKAHELY VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO MUNKAHELY VALUES (20,'RESEARCH','DALLAS');
INSERT INTO MUNKAHELY VALUES (30,'SALES','CHICAGO');
INSERT INTO MUNKAHELY VALUES (40,'OPERATIONS','BOSTON');

CREATE TABLE ALKALMAZOTT
    (EMPNO               NUMBER(4) NOT NULL,
     ENAME               VARCHAR2(10) CONSTRAINT CN1 NOT NULL CONSTRAINT CU1 UNIQUE,
     JOB                 VARCHAR2(9),
     MGR                 NUMBER(4) CONSTRAINT EMP_SELF_KEY1 REFERENCES ALKALMAZOTT (EMPNO),
     HIREDATE            DATE,
     SAL                 NUMBER(7,2),
     COMM                NUMBER(7,2),
     DEPTNO              NUMBER(2) NOT NULL,
  CONSTRAINT EMP_FOREIGN_KEY FOREIGN KEY (DEPTNO) REFERENCES MUNKAHELY (DEPTNO),
  CONSTRAINT EMP_PRIMARY_KEY PRIMARY KEY (EMPNO));

INSERT INTO ALKALMAZOTT VALUES (7839,'KING','PRESIDENT',NULL,'1981-11-17',5000,NULL,10);
INSERT INTO ALKALMAZOTT VALUES (7698,'BLAKE','MANAGER',7839,'1981-05-01',2850,NULL,30);
INSERT INTO ALKALMAZOTT VALUES (7782,'CLARK','MANAGER',7839,'1981-06-09',2450,NULL,10);
INSERT INTO ALKALMAZOTT VALUES (7566,'JONES','MANAGER',7839,'1981-04-02',2975,NULL,20);
INSERT INTO ALKALMAZOTT VALUES (7654,'MARTIN','SALESMAN',7698,'1981-09-28',1250,1400,30);
INSERT INTO ALKALMAZOTT VALUES (7499,'ALLEN','SALESMAN',7698,'1981-02-20',1600,300,30);
INSERT INTO ALKALMAZOTT VALUES (7844,'TURNER','SALESMAN',7698,'1981-09-08',1500,0,30);
INSERT INTO ALKALMAZOTT VALUES (7900,'JAMES','CLERK',7698,'1981-12-03',950,NULL,30);
INSERT INTO ALKALMAZOTT VALUES (7521,'WARD','SALESMAN',7698,'1981-02-22',1250,500,30);
INSERT INTO ALKALMAZOTT VALUES (7902,'FORD','ANALYST',7566,'1981-12-03',3000,NULL,20);
INSERT INTO ALKALMAZOTT VALUES (7369,'SMITH','CLERK',7902,'1980-12-17',800,NULL,20);
INSERT INTO ALKALMAZOTT VALUES (7788,'SCOTT','ANALYST',7566,'1982-12-09',3000,NULL,20);
INSERT INTO ALKALMAZOTT VALUES (7876,'ADAMS','CLERK',7788,'1983-01-12',1100,NULL,20);
INSERT INTO ALKALMAZOTT VALUES (7934,'MILLER','CLERK',7782,'1982-01-23',1300,NULL,10);

SELECT * FROM ALKALMAZOTT;
SELECT * FROM MUNKAHELY;
